﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;
using System.Data;

public partial class Default13 : System.Web.UI.Page
{
	protected void Page_Init(object sender, EventArgs e)
	{
		RadChart1.DataBound += new EventHandler(RadChart1_DataBound);
	}

	void RadChart1_DataBound(object sender, EventArgs e)
	{
		RadChart1.Series[0].Appearance.FillStyle.FillType = Telerik.Charting.Styles.FillType.Solid;
		RadChart1.Series[0].Appearance.FillStyle.MainColor = Color.Red;
		RadChart1.Series[1].Appearance.FillStyle.FillType = Telerik.Charting.Styles.FillType.Solid;
		RadChart1.Series[1].Appearance.FillStyle.MainColor = Color.Green;
		RadChart1.Series[2].Appearance.FillStyle.FillType = Telerik.Charting.Styles.FillType.Solid;
		RadChart1.Series[2].Appearance.FillStyle.MainColor = Color.Blue;
	}
    protected void Page_Load(object sender, EventArgs e)
    {
		DataTable tbl = new DataTable();
		DataColumn col = new DataColumn("Value1");
		col.DataType = typeof(double);
		tbl.Columns.Add(col);
		col = new DataColumn("Value2");
		col.DataType = typeof(double);
		tbl.Columns.Add(col);
		col = new DataColumn("Value3");
		col.DataType = typeof(double);
		tbl.Columns.Add(col);
		col = new DataColumn("Name");
		col.DataType = typeof(string);
		tbl.Columns.Add(col);

		int size = 5;
		int maxLen = size.ToString().Length;
		for (int i = 1; i <= size; i++)
		{
			tbl.Rows.Add(new object[] { i, 2*i, 3*i, "Name" + i.ToString("D" + maxLen) });
		}

		RadChart1.DataSource = tbl;
		RadChart1.DataBind();

		RadChart2.DataSource = tbl;
		RadChart2.DataBind();


		
    }
}
